View a markdown version of this page

UntagResource - AgentRegistry Control Plane API Reference

UntagResource

Removes one or more tags from the specified AWS Agent Registry resource. The operation removes only the tags whose keys you supply; other tags on the resource remain unchanged.

Request Syntax

DELETE /tags/resourceArn+?tagKeys=tagKeys HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

resourceArn

The Amazon Resource Name (ARN) of the resource to remove tags from. Supported resources include registries and registry records.

Length Constraints: Minimum length of 1. Maximum length of 1011.

Required: Yes

tagKeys

The keys of the tags to remove from the resource. Tags with keys not included in this list remain on the resource.

Array Members: Minimum number of 1 item. Maximum number of 50 items.

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z0-9\s._:/=+@-]*

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 204

Response Elements

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The caller is not authorized to perform the requested action.

HTTP Status Code: 403

InternalServerException

The request failed due to an unexpected internal error; the caller may retry.

HTTP Status Code: 500

ResourceNotFoundException

The requested resource was not found.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling; the caller may retry after a delay.

HTTP Status Code: 429

ValidationException

The request failed validation of one or more input fields.

fieldList

The list of input fields that failed validation.

reason

The reason the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: